path: /build/build/jdk-virtual-17-17.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/jdk:17 -pv -t && \
    emerge -j ${JOBS} --nodeps virtual/jdk:17
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/jdk && luet-portage --dir /pkgdir/jdk
    virtual/jdk:17 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:309fd8c2fcd8ebfe82a17898be63f2b68eb9db5f3e0a198dcaedcee5b58ce217
  package:
    name: jdk
    version: "17"
    category: virtual-17
    requires:
    - name: openjdk-bin
      version: '>=0'
      category: dev-java-17
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for Java Development Kit (JDK)
    uri:
    - ""
    buildtimestamp: 2023-09-25 06:49:49.738999631 +0000 UTC m=+97.166509472
    labels:
      IUSE: headless-awt
      RDEPEND: '|| ( dev-java/oracle-jdk-bin:17[gentoo-vm(+),headless-awt=] dev-java/openjdk-bin:17[gentoo-vm(+),headless-awt=]
        dev-java/openjdk:17[gentoo-vm(+),headless-awt=] )'
      emerge.packages: virtual/jdk:17
      kit: java-kit
      original.package.name: virtual/jdk
      original.package.slot: "17"
      original.package.version: 17-r1
    treedir: /build/packages
  package_dir: /pkgdir/jdk
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2927db32a13306daf3b4be3d057fe9d187bb013fc0059711e24901f9b2a65b71
compressiontype: zstd
files:
- var/db/pkg/virtual/jdk-17-r1/BUILD_TIME
- var/db/pkg/virtual/jdk-17-r1/CATEGORY
- var/db/pkg/virtual/jdk-17-r1/CBUILD
- var/db/pkg/virtual/jdk-17-r1/CFLAGS
- var/db/pkg/virtual/jdk-17-r1/CHOST
- var/db/pkg/virtual/jdk-17-r1/COUNTER
- var/db/pkg/virtual/jdk-17-r1/CXXFLAGS
- var/db/pkg/virtual/jdk-17-r1/DEFINED_PHASES
- var/db/pkg/virtual/jdk-17-r1/DESCRIPTION
- var/db/pkg/virtual/jdk-17-r1/EAPI
- var/db/pkg/virtual/jdk-17-r1/FEATURES
- var/db/pkg/virtual/jdk-17-r1/IUSE
- var/db/pkg/virtual/jdk-17-r1/IUSE_EFFECTIVE
- var/db/pkg/virtual/jdk-17-r1/KEYWORDS
- var/db/pkg/virtual/jdk-17-r1/LDFLAGS
- var/db/pkg/virtual/jdk-17-r1/LICENSE
- var/db/pkg/virtual/jdk-17-r1/PF
- var/db/pkg/virtual/jdk-17-r1/RDEPEND
- var/db/pkg/virtual/jdk-17-r1/SIZE
- var/db/pkg/virtual/jdk-17-r1/SLOT
- var/db/pkg/virtual/jdk-17-r1/USE
- var/db/pkg/virtual/jdk-17-r1/environment.bz2
- var/db/pkg/virtual/jdk-17-r1/jdk-17-r1.ebuild
- var/db/pkg/virtual/jdk-17-r1/repository
package_cacheimage: ""
runtime:
  name: jdk
  version: "17"
  category: virtual-17
  requires:
  - name: oracle-jdk-bin
    version: '>=0'
    category: dev-java-17
  - name: openjdk-bin
    version: '>=0'
    category: dev-java-17
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for Java Development Kit (JDK)
  uri:
  - ""
  labels:
    IUSE: headless-awt
    RDEPEND: '|| ( dev-java/oracle-jdk-bin:17[gentoo-vm(+),headless-awt=] dev-java/openjdk-bin:17[gentoo-vm(+),headless-awt=]
      dev-java/openjdk:17[gentoo-vm(+),headless-awt=] )'
    emerge.packages: virtual/jdk:17
    kit: java-kit
    original.package.name: virtual/jdk
    original.package.slot: "17"
    original.package.version: 17-r1
